#Plot Green's function solution and Kirchoff solution at observer location 

import numpy as np
import matplotlib.pyplot as plt

#source frequency
f0 = 100.0
t0 = 4.0/ f0

#time step
dt = 0.0001
nt = 1000

#time axis
time = np.linspace(0 * dt, nt * dt, nt)

#source function
src  = -2. * (time - t0) * (f0 ** 2) * (np.exp(-1.0 * (f0 ** 2) * (time - t0) ** 2))


#plot source time function
plt.figure(figsize=(9,9))
plt.plot(time, src)
plt.title('Source time function')
plt.xlabel('Time, s')
plt.ylabel('Amplitude')
plt.grid()
plt.savefig("Source")


#Plot Green's function solution at observer point x
p_t = np.loadtxt("p_exact.dat")

plt.figure(figsize=(9,9))
plt.title('Pressure as a function of time at observer point x')
plt.xlabel('Time, s')
plt.ylabel('Pressure')
leg1,= plt.plot(p_t[:,0], p_t[:,1],'b-',markersize=1)
plt.grid()
plt.savefig("Pressure")
